import { CdmAttributeContext, CdmCorpusContext, CdmObject, cdmObjectType, CdmOperationBase, ProjectionAttributeStateSet, ProjectionContext, resolveOptions, VisitCallback } from '../../internal';
/**
 * Class to handle AddAttributeGroup operations
 */
export declare class CdmOperationAddAttributeGroup extends CdmOperationBase {
    private TAG;
    /**
     * Name given to the attribute group that will be created
     */
    attributeGroupName: string;
    constructor(ctx: CdmCorpusContext);
    /**
     * @inheritdoc
     */
    copy(resOpt?: resolveOptions, host?: CdmObject): CdmObject;
    /**
     * @inheritdoc
     */
    getName(): string;
    /**
     * @inheritdoc
     */
    getObjectType(): cdmObjectType;
    /**
     * @inheritdoc
     */
    validate(): boolean;
    /**
     * @inheritdoc
     */
    visit(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
    /**
     * @inheritdoc
     * @internal
     */
    appendProjectionAttributeState(projCtx: ProjectionContext, projOutputSet: ProjectionAttributeStateSet, attrCtx: CdmAttributeContext): ProjectionAttributeStateSet;
}
